clear_user
Prev | User Space Memory Access | Next

## Name

clear_user — Zero a block of memory in user space.

## Synopsis

`unsigned long clear_user (` | void __user * | to,
| unsigned long | n`)`;

## Arguments

`to`

  Destination address, in user space.

`n`

  Number of bytes to zero.

## Description

Zero a block of memory in user space.

Returns number of bytes that could not be cleared. On success, this will be zero.

Prev | Up | Next
strncpy_from_user | Home | __clear_user